/* palmtcl.h - definitions for palmlib/tcl integration
 *
 */

/*
 * Copyright (c) 2002 Tony Aiuto
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor their employers are responsible for
 *    any consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors must appear
 *    in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This copyright notice may not be removed or altered.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL TONY AIUTO, HIS CURRENT OR PAST EMPLOYERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


/*
 * Author: Tony Aiuto (tony@aiu.to)
 * Edit History
 * Wed Sep  4 23:50:51 EDT 2002
 * tony - created
 */

#include <tcl.h>
#include <tclutil.h>


class PalmCommand : public TCLCommand {
public:
        PalmCommand(Tcl_Interp *);

	int getVerbose() { return verbose; }
	void setVerbose(int _verbose) { verbose = _verbose; }

	// TClCommand interface
        int command(Tcl_Interp *, int argc, char *argv[]);
	// end TClCommand interface

private:
	int	verbose;
};


class PalmReaderCommand : public TCLCommand {
public:
        PalmReaderCommand(Tcl_Interp *, const char *name, PalmRead *);
        ~PalmReaderCommand();

	// TClCommand interface
        int command(Tcl_Interp *, int argc, char *argv[]);
	// end TClCommand interface

	PalmRead	*reader;
};


class PalmRecordCommand : public TCLCommand {
public:
        PalmRecordCommand(Tcl_Interp *, const char *name, PalmEntry *, PalmRead *);
        ~PalmRecordCommand();

	// TClCommand interface
        int command(Tcl_Interp *, int argc, char *argv[]);
	// end TClCommand interface

private:
	PalmEntry	*entry;
	PalmRead	*myfile;

private:
	int extractMember(Tcl_Interp *interp, int argc, char *argv[]);
	int extractDate(PalmEntry *_e, Tcl_Interp *interp,int argc,char *argv[]);
	int extractAddress(PalmEntry *_e, Tcl_Interp *interp,int argc,char *argv[]);
	int extractMemo(PalmEntry *_e, Tcl_Interp *interp,int argc,char *argv[]);
	int extractTodo(PalmEntry *_e, Tcl_Interp *interp,int argc,char *argv[]);
};

