<?xml version="1.0"?>
<manpage>
<defines>
<copyright>Copyright (c) 2002  Tony Aiuto</copyright>
<rcsid>$Id: $</rcsid>
<name	value="palmtcl" />
<title	value="palmtcl - Tcl tool for reading palm data files" />
<author	name="Tony Aiuto" email="tony@aiu.to" />
<version value="@VERSION@" />
<date	value="@DATE@" />
<keywords>freeware, shareware, linux, tools, palm, tcl</keywords>
<description content="Palm data file reader library integrated with Tcl"/>
</defines>

<synopsis>
<usage>palmtcl {options} Tcl_Script_File [args ...]</usage>
</synopsis>

<options width="15">
<option name="-V">
print <B>V</B>ersion information.
</option>
<option name="-v">
be <B>V</B>erbose.
</option>
<option name="-e" args="expression">
<B>e</B>valuate <I>expression</I> before executiong script.
</option>
</options>

<description>
<iword>palmtcl</iword>
is a Tcl interpreter integrated with a palm data file
reader library.   It can be used to easily script tools
which dump palm files into whatever format you need.
<p>
In the command definitions below, <I>*_id</I> always refers to a TCL
identifier of the users choosing, rather than a fixed keyword.
</p>
</description>


<options width="30" name="module commands">
<option name="palm build_date">return build date of module</option>
<option name="palm revision_date">return last edit date of module</option>
<option name="palm verbose">return verbosity level</option>
<option name="palm verbose" args="N">set verbosity level</option>
<option name="palm open" args="datafile file_id">open <I>datafile</I> as <I>file_id</I>.
<I>file_id</I> is bound to an object which responds to the <B>file commands</B> below.
</option>
</options>

<options width="25" name="file commands">
<objmethod obj="file_id" name="next" args="entry_id">
get next entry as entry_id
<I>entry_id</I> is bound to an object which responds to the <B>entry commands</B> below.
</objmethod>
<objmethod obj="file_id" name="categoryCount">return # of categories</objmethod>
<objmethod obj="file_id" name="custheader">custom header</objmethod>
<objmethod obj="file_id" name="fieldCount"># of field types in schema</objmethod>
<objmethod obj="file_id" name="fieldsPerRow"># of fields per record</objmethod>
<objmethod obj="file_id" name="filename">name embedded within the file</objmethod>
<objmethod obj="file_id" name="nextFreeCategory">index of next free category</objmethod>
<objmethod obj="file_id" name="numEntries"># of records in file</objmethod>
<objmethod obj="file_id" name="placementPos">field index where placement is stored</objmethod>
<objmethod obj="file_id" name="recorddIDPos">field index where record ID is stored</objmethod>
<objmethod obj="file_id" name="recorddStatusPos">field index where rec. status is stored</objmethod>
<objmethod obj="file_id" name="resourceID">resource ID</objmethod>
<objmethod obj="file_id" name="signature">file signature</objmethod>
<objmethod obj="file_id" name="category" args="N">
name of Nth category</objmethod>
<objmethod obj="file_id" name="fieldType" args="N">
type of Nth field</objmethod>
</options>

<options width="25" name="entry commands">
<objmethod obj="entry_id" name="type">
record type {address, date, memo, todo}
</objmethod>
<objmethod obj="entry_id" name="" args="FIELD">
retrieve <I>FIELD</I> from the record.   Available
fields depend on the type of the data file.
<display>
all:      id, position, status, categoryIndex
address:  firstname, lastname, company, title,
          address, city, state, zip, country,
          note, displayIndex
date:     alarm alarmWarn alarmWarnType duration,
          endTime, name, note, startTime, untimed
memo:     memo
todo:     completed, description, due, priority, note
</display>
</objmethod>
</options>

<options width="30" name="address commands">
<objmethod obj="address_id" name="phone" args="N {index label}">
retrieve phone #N.  Optionally get index or type of number
</objmethod>
<objmethod obj="address_id" name="custom" args="N">
retrieve custom field N
</objmethod>
</options>



<section name="CREDITS">
Author: Tony Aiuto <email>source@aiu.to</email>
<p>
Hints about the data file format came from Scott Leighton's
web site, which you can find at
<webref>http://www.geocities.com/helphand1/</webref>.
</p>
</section>

<source_section default="1" prog="@NAME@%20@VERSION@">
<p>
This manual page describes @NAME@ @VERSION@ - as of @DATE@
</p>
<p>
<webref href="http://tony.aiu.to/sa/@PACKAGE@">gzipped source - @PACKAGE@</webref>
<br/><webref href="http://tony.aiu.to/sa/@ZPACKAGE@">zipped source - @ZPACKAGE@</webref>
</p>
</source_section>

<defaultlicense>
</defaultlicense>

</manpage>
